<%
/**
 * An admin include file that allows for the addition and deletion
 * of product meta-data, such as genres and media types. 
 *
 * @Author  - Kyle McIntyre
 * @Version - 6.3.05
 */
%>

Here you can add and delete product meta options 
such as media types and ratings.
<br />
<%
    // Discern which button was pressed and create a matching query. 
    if (request.getParameter("add_type") != null)
    {
        String new_type = request.getParameter("media_type");
        if (new_type != null && !new_type.equals(""))
	{
	    query = "INSERT INTO media_types(type_name) " +
	            "VALUES('" + new_type + "');";
	    if (db.update(query) > 0)
	        out.println("New type added successfully.");
	}
    }
    else if (request.getParameter("delete_type") != null)
    {
        String type = request.getParameter("media_type");
	if (type != null)
	{
            query = "DELETE FROM media_types WHERE type_name = '" + type + "';";
	    if (db.update(query) > 0)
	        out.println("Type deleted successfull");
	}
    }
    else if (request.getParameter("add_rating") != null)
    {
        String new_rating = request.getParameter("rating");
        if (new_rating != null && !new_rating.equals(""))
	{
	    query = "INSERT INTO ratings(rating_name) " + 
	            "VALUES('" + new_rating + "');";
	    if (db.update(query) > 0)
	        out.println("New rating added successfully.");
	}
    }
    else if (request.getParameter("delete_rating") != null)
    {
        String rating = request.getParameter("rating");
	if (rating != null)
	{
            query = "DELETE FROM ratings WHERE rating_name = '" + rating + "';";
	    if (db.update(query) > 0)
	        out.println("Rating deleted successfully");
	}
    }
    else if (request.getParameter("add_genre") != null)
    {
        String genre = request.getParameter("genre");
        if (genre != null && !genre.equals(""))
	{
	    query = "INSERT INTO genres(genre_name) " + 
	            "VALUES('" + genre + "');";
	    if (db.update(query) > 0)
	        out.println("New genre added successfully.");
	}
    }
    else if (request.getParameter("delete_genre") != null)
    {
        String genre = request.getParameter("genre");
	if (genre != null)
	{
            query = "DELETE FROM genres WHERE genre_name = '" + genre + "';";
	    if (db.update(query) > 0)
	        out.println("Genre deleted successfully");
	}
    }

    // Display the various forms for adding/deleting meta options. 
%>
<br />
<br />
<b>Media Types</b>
<form action="product_manager.jsp?action=meta" method="post">
  <input type="text" name="media_type" />
  <input type="submit" name="add_type"    value="Add Media Type"    />
  <input type="submit" name="delete_type" value="Delete Media Type" />
</form>
<br />
<b>Media Ratings</b>
<form action="product_manager.jsp?action=meta" method="post">
  <input type="text" name="rating" />
  <input type="submit" name="add_rating"    value="Add Rating Type"    />
  <input type="submit" name="delete_rating" value="Delete Rating Type" />
</form>
<b>Genres</b>
<form action="product_manager.jsp?action=meta" method="post">
  <input type="text" name="genre" />
  <input type="submit" name="add_genre"    value="Add Genre"    />
  <input type="submit" name="delete_genre" value="Delete Genre" />
</form>

