<%
/**
 * A file that performs smart redirects depending on user status.
 *
 * @Author  - Kyle McIntyre
 * @Version - 5.23.05
 */
%>

<%
    String address = (String)request.getAttribute("return_address");
    if (address != null)
    {
        response.sendRedirect(response.encodeRedirectURL(address));
    }
    else
    {
        if (user.getValue("user_type").equals("enduser"))
            address = "/movies/enduser/account.jsp";
        else if (user.getValue("user_type").equals("admin"))
            address = "/movies/admin/store_manager.jsp";
        else
            address = "/movies/index.jsp";
        response.sendRedirect(response.encodeRedirectURL(address));
    }
%>
