<%
/**
 * A file that allows users to change their passwords.  
 *
 * @Author  - Kyle McIntyre
 * @Version - 6.14.05
 */
%>

<%@ page import="java.sql.ResultSet"          %>
<%@ page import="java.security.MessageDigest" %>
<%@ page import="sun.misc.BASE64Encoder"      %>

<jsp:useBean id="util" class="mcintyr.edu.montana.cs.esus.Utilities"          scope="session" />
<jsp:useBean id="db"   class="mcintyr.edu.montana.cs.esus.DatabaseConnection" scope="session" />
<jsp:useBean id="user" class="mcintyr.edu.montana.cs.esus.User"               scope="session" />
<jsp:useBean id="form" class="mcintyr.edu.montana.cs.esus.AssociativeArray"   scope="page"    />

<%@ include file="/movies/include/header.tpl"     %>
<%@ include file="/movies/include/navigation.jsp" %>

<div class="page">
  <b>Change Your Password</b>
  <br />
  <br />
  [<a href="/movies/enduser/account.jsp?action=profile">Back to Your Profile</a>]
  <form action="/movies/enduser/password.jsp" method="post">
    <table>
      <tr>
        <td>Old Password:</td>
        <td><input type="password" name="old_password" /></td>
      </tr>
      <tr>
        <td>New Password:</td>
        <td><input type="password" name="new_password" /></td>
      </tr>
    </table>
    <br />
    <input type="submit" value="Submit" />
  </form>

<%
    // Check for form submissions
    String old_password = request.getParameter("old_password");
    String new_password = request.getParameter("new_password");

    if (old_password != null && !old_password.equals("")
        && new_password != null && !new_password.equals(""))
    {
         // Encrypt the user's old password
         MessageDigest md = MessageDigest.getInstance("MD5");
         md.update(old_password.getBytes("UTF8"));
         old_password =  new BASE64Encoder().encode(md.digest());

         // Match the encrypted password with what's in the database
         String query = "SELECT password FROM users WHERE user_id = '" + user.getValue("user_id") + "';";
         ResultSet result = db.query(query);
         if (result.next())
         {
             if (old_password.equals(result.getString("password")))
             {
                 // User supplied the correct password. Update to new password.
                 md = MessageDigest.getInstance("MD5");
                 md.update(new_password.getBytes("UTF8"));
                 new_password =  new BASE64Encoder().encode(md.digest());

                 query = "UPDATE users SET password = '" + new_password + "' WHERE user_id = '" + user.getValue("user_id") + "';";
                 if (db.update(query) > 0)
                     out.println("Your password was updated successfully. <br />");
                 else
                     out.println("Password update failed. <br />");
             }
             else
                 out.println("The password you supplied was incorrect. <br />"); 
         }
        
    }
%>

</div>

<%@ include file="/movies/include/footer.tpl"     %>