<%
/**
 * The main index page for the McMovies web application.
 * Can be used for displaying news, etc. In the future, a 
 * corresponding admin page should be created that allows for 
 * automated news postings, etc. 
 *
 * @Author  - Kyle McIntyre
 * @Version - 6.9.05
 */
%>

<jsp:useBean id="user" class="mcintyr.edu.montana.cs.esus.User"               scope="session" />

<%@ include file="/movies/include/header.tpl"     %>
<%@ include file="/movies/include/navigation.jsp" %>

<div class="page">
  Welcome to McMovies, Montana's hottest online movie store! 
  <br />
  <br />
  <b>Grand Opening!</b> - Monday, June 20th
  <br />
  <br />
  As a special treat for our first customers, McMovies will be delivering 
  complimentary popcorn in addition to any movies that you order before midnight! 
  Simply head to the <a href="/movies/public/register.jsp">Register</a> page, 
  create an account, and begin browsing our online selection. If you have questions, 
  feel free to contact us at <a href="mailto:admin@mcmovies.com">admin@mcmovies.com</a>.
  <br />
  <br />
  From everyone here at McMovies, thank you for your business!
</div>

<%@ include file="/movies/include/footer.tpl"    %>
